---
title: "Get connection type values — site"
type: reference
method: GET
path: /rest-api/site/{siteId}/targeting/connection-type/values.do
tag: "Targeting Rules"
---

# Get connection type values — site

`GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/connection-type/values.do`

Get available connection type values for targeting

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Responses

- `200` — Success
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized
- `403` — Forbidden — insufficient permissions
- `404` — Not found — resource does not exist

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/connection-type/values.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-site-targeting-connection-type-values